    The XSPEC nlapec model: continuum-only APEC emission spectrum.

xsnlapec
The xsnlapec model is an additive model component.

The model is described at [1] . The set_xsabund and get_xsabund

functions change and return the current settings for the relative abundances of the metals. The set_xsxset and get_xsxset

functions are used to set and query the XSPEC XSET parameters, in particular the keywords "APECROOT", "APECTHERMAL", "APECVELOCITY", and "APEC_TRACE_ABUND".

>>> create_model_component("xsnlapec", "mdl")
>>> print(mdl)

Create a component of the xsnlapec model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.kT thawed 1 0.008 64 keV mdl.Abundanc frozen 1 0 5 mdl.redshift frozen 0 -0.999 10 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
kT
The temperature of the plasma, in keV.
Abundanc
The metal abundance of the plasma, as defined by the

set_xsabund function and the "APEC_TRACE_ABUND" xset keyword.
redshift
The redshift of the plasma.
norm
The normalization of the model: see [1] for an explanation of the units.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelNlapec.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023